Queues a document/parsed task for extraction and returns a TaskResponse with the
assigned task_id, initial configuration, file metadata, and timestamps.
The initial status is Starting.
Creates an extract task and returns its metadata immediately.
POST
/
tasks
/
extract
Python
import os
from chunkr_ai import Chunkr
client = Chunkr(
api_key=os.environ.get("CHUNKR_API_KEY"), # This is the default and can be omitted
)
extract = client.tasks.extract.create(
file="https://example.com/invoice.pdf",
schema={
"type": "object",
"properties": {
"invoice_number": {"type": "string"},
"total": {"type": "number"},
},
},
)
print(extract.task_id)
import Chunkr from 'chunkr-ai';
const client = new Chunkr({
apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted
});
const extract = await client.tasks.extract.create({
file: 'https://example.com/invoice.pdf',
schema: {
type: 'object',
properties: {
invoice_number: { type: 'string' },
total: { type: 'number' },
},
},
});
console.log(extract.task_id);
ch://files/{file_id}: Reference to an existing file. Upload via the Files API
http(s)://...: Remote URL to fetch
data:*;base64,... or raw base64 string
task_id: Reference to an existing parsetask.
parse_configuration
null | Parse · object
Optional configuration for the parse task.
Can not be used if file is a task_id.
Show child attributes
system_prompt
string | null
default:You are an expert at structured data extraction. You will be given parsed text from a document and should convert it into the given structure.
The system prompt to be used for the extraction.
expires_in
integer<int32> | null
The number of seconds until task is deleted.
Expired tasks can not be updated, polled or accessed via web interface.
file_name
string | null
The name of the file to be extracted. If not set a name will be generated.
Can not be provided if the file is a task_id.
Response
Task created successfully.
completed
boolean
required
True when the task reaches a terminal state i.e. status is Succeeded or Failed or Cancelled
configuration
Extract · object
required
Show child attributes
created_at
string<date-time>
required
The date and time when the task was created and queued.
file_info
object
required
Information about the input file.
Show child attributes
message
string
required
A message describing the task's status or any errors that occurred.
status
enum<string>
required
The status of the task.
Available options:
Starting,
Processing,
Succeeded,
Failed,
Cancelled
task_id
string
required
The unique identifier for the task.
task_type
enum<string>
required
Available options:
Parse,
Extract
version_info
object
required
Version information for the task.
Show child attributes
expires_at
string<date-time> | null
The date and time when the task will expire.
finished_at
string<date-time> | null
The date and time when the task was finished.
input_file_url
string | null
deprecated
The presigned URL of the input file.
Deprecated use file_info.url instead.
output
null | Extract · object
The processed results of a document extraction task.
Shapes:
results: JSON matching the user-provided schema.
citations: mirror of results; only leaf positions (primitive or array-of-primitives) contain a Vec<Citation> supporting that field.
metrics: mirror of results; only leaf positions contain a Metrics object for that field.
Show child attributes
parse_task_id
string | null
The ID of the source parse task that was used for extraction
started_at
string<date-time> | null
The date and time when the task was started.
task_url
string | null
The presigned URL of the task.
Was this page helpful?
⌘I
Python
import os
from chunkr_ai import Chunkr
client = Chunkr(
api_key=os.environ.get("CHUNKR_API_KEY"), # This is the default and can be omitted
)
extract = client.tasks.extract.create(
file="https://example.com/invoice.pdf",
schema={
"type": "object",
"properties": {
"invoice_number": {"type": "string"},
"total": {"type": "number"},
},
},
)
print(extract.task_id)
import Chunkr from 'chunkr-ai';
const client = new Chunkr({
apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted
});
const extract = await client.tasks.extract.create({
file: 'https://example.com/invoice.pdf',
schema: {
type: 'object',
properties: {
invoice_number: { type: 'string' },
total: { type: 'number' },
},
},
});
console.log(extract.task_id);
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Chunkr","colors":{"primary":"#8D8D86","light":"#FFFFFF","dark":"#000000"},"logo":{"light":"https://mintcdn.com/lumina-53fcea44/yRc36sZAzbhE6z9a/logo/light.svg?fit=max\u0026auto=format\u0026n=yRc36sZAzbhE6z9a\u0026q=85\u0026s=329ba9d90b087f0e896ada507497f7ea","dark":"https://mintcdn.com/lumina-53fcea44/yRc36sZAzbhE6z9a/logo/dark.svg?fit=max\u0026auto=format\u0026n=yRc36sZAzbhE6z9a\u0026q=85\u0026s=6edf4915773b3977bcfe87cff8f90b3d"},"favicon":"https://mintcdn.com/lumina-53fcea44/yRc36sZAzbhE6z9a/favicon.svg?fit=max\u0026auto=format\u0026n=yRc36sZAzbhE6z9a\u0026q=85\u0026s=a47fc752b870e7ecd877c0160907dd23","api":{"mdx":{"auth":{"method":"key"}}},"background":{},"navbar":{"links":[{"href":"mailto:[email protected]","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://www.chunkr.ai"}},"footer":{"socials":{"github":"https://github.com/lumina-ai-inc/chunkr","discord":"https://discord.gg/XzKWFByKzW","x":"https://x.com/chunkrai"}},"styling":{"codeblocks":"system","latex":false},"errors":{"404":{"redirect":false,"title":"Page Not Found","description":"Looks like this page doesn't exist. While we work on better document navigation, here's where you can go:\n\n**Getting Started** \n[Welcome to Chunkr](/pages/get-started/welcome) - Start here if you're new \n[Quickstart Guide](/pages/get-started/quickstart) - Get up and running in 2 minutes \n[Web Interface](/pages/get-started/web-interface) - Try it out instantly\n\n**Core Features** \n[Task System](/pages/task-system/overview) - Understand our API architecture \n[Parse](/pages/features/parse/overview) - Convert documents to LLM-ready data \n[Extract](/pages/features/extract/overview) - Auto-fill custom schemas with AI\n\n**Migrating to Extend** \n[Migration Guide](/pages/migrate-to-extend/overview) - Move your integration to Extend\n\n**Need Help?** Reach out at [[email protected]](mailto:[email protected]) or join our [Discord](https://discord.gg/XzKWFByKzW)"}},"contextual":{"options":["copy","chatgpt","mcp","cursor",{"title":"Request a feature","description":"Join the discussion on Discord to request a new feature","icon":"plus","href":"https://discord.gg/XzKWFByKzW"}],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lumina-53fcea44","hasAudioNarration":false,"actualSubdomain":"lumina-53fcea44","customDomains":["docs.chunkr.ai"],"gitSource":{"type":"github","owner":"lumina-ai-inc","repo":"chunkr-enterprise","deployBranch":"main","contentDirectory":"docs/mintlify","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":false},"entitlements":{},"buildId":"6ac9501c94a6a814f4cf4a37","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"Documentation","count":42},{"language":"default","tag":"API References","count":19},{"language":"default","tag":"Features","count":15},{"language":"default","tag":"SDK","count":10},{"language":"default","tag":"Get Started","count":8},{"language":"default","tag":"Migrate to Extend","count":8},{"language":"default","tag":"Tasks","count":8},{"language":"default","tag":"Task System","count":6},{"language":"default","tag":"Webhooks","count":6},{"language":"default","tag":"Files","count":6}]},"assistantConfig":{"deflection":{"enabled":true,"email":"[email protected]"}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-references/tasks/create-extract-task","slug":"/api-references/tasks/create-extract-task","pageMetadata":{"title":"Create Extract Task","description":"Queues a document/parsed task for extraction and returns a `TaskResponse` with the\nassigned `task_id`, initial configuration, file metadata, and timestamps.\nThe initial status is `Starting`.\n\nCreates an extract task and returns its metadata immediately.","deprecated":null,"version":null,"openapi":"/openapi.json post /tasks/extract","href":"/api-references/tasks/create-extract-task","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Queues a document/parsed task for extraction and returns a \", _jsx(_components.code, {\n children: \"TaskResponse\"\n }), \" with the\\nassigned \", _jsx(_components.code, {\n children: \"task_id\"\n }), \", initial configuration, file metadata, and timestamps.\\nThe initial status is \", _jsx(_components.code, {\n children: \"Starting\"\n }), \".\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Creates an extract task and returns its metadata immediately.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Create Extract Task","description":"Queues a document/parsed task for extraction and returns a `TaskResponse` with the\nassigned `task_id`, initial configuration, file metadata, and timestamps.\nThe initial status is `Starting`.\n\nCreates an extract task and returns its metadata immediately.","deprecated":null,"version":null,"openapi":"/openapi.json post /tasks/extract","href":"/api-references/tasks/create-extract-task","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/lumina-53fcea44/e95484bc22c7b2a2/assets/js/custom.js"],"openApiReferenceData":{"operation":{"tags":["Tasks"],"summary":"Create Extract Task","description":"Queues a document/parsed task for extraction and returns a `TaskResponse` with the\nassigned `task_id`, initial configuration, file metadata, and timestamps.\nThe initial status is `Starting`.\n\nCreates an extract task and returns its metadata immediately.","operationId":"create_extract_task_route","requestBody":"971bbb8c-20df-4fdf-a0ad-ad1efab5c0ad","responses":{"200":"9c801893-0b15-47eb-84a5-d88b5e43bd70","400":"ca8507b7-42df-499d-a1aa-ee491bc51236","401":"768f1d83-ad7f-410a-9b80-497afb8e9d11","429":"5ac14d16-361d-4a6c-8e69-4e40fe1c1a2b","500":"eea8a0f9-8ffc-4019-b3bc-a560a374f251"},"security":["9c8fb455-bf1b-4c00-8c1a-8fab604c85eb"],"x-codeSamples":[{"lang":"python","label":"Python","source":"import os\nfrom chunkr_ai import Chunkr\n\nclient = Chunkr(\n api_key=os.environ.get(\"CHUNKR_API_KEY\"), # This is the default and can be omitted\n)\nextract = client.tasks.extract.create(\n file=\"https://example.com/invoice.pdf\",\n schema={\n \"type\": \"object\",\n \"properties\": {\n \"invoice_number\": {\"type\": \"string\"},\n \"total\": {\"type\": \"number\"},\n },\n },\n)\nprint(extract.task_id)\n"},{"lang":"typescript","label":"TypeScript","source":"import Chunkr from 'chunkr-ai';\n\nconst client = new Chunkr({\n apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted\n});\n\nconst extract = await client.tasks.extract.create({\n file: 'https://example.com/invoice.pdf',\n schema: {\n type: 'object',\n properties: {\n invoice_number: { type: 'string' },\n total: { type: 'number' },\n },\n },\n});\n\nconsole.log(extract.task_id);\n"}],"method":"post","type":"path","servers":["76f67bcf-8d96-485e-934c-724a45246b26"],"path":"/tasks/extract","baseUrlOptions":["https://api.chunkr.ai"],"title":"Create Extract Task","codeSamples":[{"label":"Python","lang":"python","source":"import os\nfrom chunkr_ai import Chunkr\n\nclient = Chunkr(\n api_key=os.environ.get(\"CHUNKR_API_KEY\"), # This is the default and can be omitted\n)\nextract = client.tasks.extract.create(\n file=\"https://example.com/invoice.pdf\",\n schema={\n \"type\": \"object\",\n \"properties\": {\n \"invoice_number\": {\"type\": \"string\"},\n \"total\": {\"type\": \"number\"},\n },\n },\n)\nprint(extract.task_id)\n"},{"label":"TypeScript","lang":"typescript","source":"import Chunkr from 'chunkr-ai';\n\nconst client = new Chunkr({\n apiKey: process.env['CHUNKR_API_KEY'], // This is the default and can be omitted\n});\n\nconst extract = await client.tasks.extract.create({\n file: 'https://example.com/invoice.pdf',\n schema: {\n type: 'object',\n properties: {\n invoice_number: { type: 'string' },\n total: { type: 'number' },\n },\n },\n});\n\nconsole.log(extract.task_id);\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"description":"JSON request to create an extract task","content":{"application/json":{"schema":{"type":"object","title":"Extract","required":["file","schema"],"properties":{"schema":{"type":"object","description":"The schema to be used for the extraction.","isRequired":true,"uniqueKey":"schema","typeLabel":"object"},"file":{"type":"string","description":"The file to be extracted. Supported inputs:\n- `ch://files/{file_id}`: Reference to an existing file. Upload via the Files API\n- `http(s)://...`: Remote URL to fetch\n- `data:*;base64,...` or raw base64 string\n- `task_id`: Reference to an existing `parse`task.","isRequired":true,"uniqueKey":"file","typeLabel":"string"},"parse_configuration":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.0","typeLabel":"null"},{"type":"object","title":"Parse","description":"Optional configuration for the `parse` task.\nCan not be used if `file` is a `task_id`.","properties":{"chunk_processing":{"type":"object","description":"Controls the setting for the chunking and post-processing of each chunk.","default":{"ignore_headers_and_footers":null,"target_length":4096,"tokenizer":{"Enum":"Word"}},"properties":{"ignore_headers_and_footers":{"oneOf":[{"type":"boolean","description":"DEPRECATED: use `segment_processing.ignore` instead","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.ignore_headers_and_footers.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"DEPRECATED: use `segment_processing.ignore` instead","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.ignore_headers_and_footers.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.ignore_headers_and_footers","typeLabel":"boolean | null"},"target_length":{"type":"integer","format":"int32","description":"The target number of words in each chunk. If 0, each chunk will contain a single segment.","default":4096,"minimum":0,"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.target_length","typeLabel":"integer\u003cint32>"},"tokenizer":{"oneOf":[{"type":"object","title":"Enum","description":"The tokenizer to use for the chunking process.","default":"Word","required":["Enum"],"properties":{"Enum":{"type":"string","description":"Use one of the predefined tokenizer types","enum":["Word","Cl100kBase","XlmRobertaBase","BertBaseUncased"],"isRequired":true,"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.tokenizer.oneOf.0.Enum","typeLabel":"enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.tokenizer.oneOf.0","typeLabel":"Enum · object"},{"type":"object","title":"String","description":"The tokenizer to use for the chunking process.","default":"Word","required":["String"],"properties":{"String":{"type":"string","description":"Use any Hugging Face tokenizer by specifying its model ID\nExamples: \"Qwen/Qwen-tokenizer\", \"facebook/bart-large\"","isRequired":true,"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.tokenizer.oneOf.1.String","typeLabel":"string"}},"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.tokenizer.oneOf.1","typeLabel":"String · object"}],"uniqueKey":"parse_configuration.oneOf.1.chunk_processing.tokenizer","typeLabel":"Enum · object | String · object"}},"uniqueKey":"parse_configuration.oneOf.1.chunk_processing","typeLabel":"object"},"error_handling":{"type":"string","description":"Controls how errors are handled during processing:\n- `Fail`: Stops processing and fails the task when any error occurs\n- `Continue`: Attempts to continue processing despite non-critical errors (eg. LLM refusals etc.)","default":"Fail","enum":["Fail","Continue"],"uniqueKey":"parse_configuration.oneOf.1.error_handling","typeLabel":"enum\u003cstring>"},"ocr_strategy":{"type":"string","description":"Controls the Optical Character Recognition (OCR) strategy.\n- `All`: Processes all pages with OCR. (Latency penalty: ~0.5 seconds per page)\n- `Auto`: Selectively applies OCR only to pages with missing or low-quality text. When text layer is present the bounding boxes from the text layer are used.","default":"All","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.ocr_strategy","typeLabel":"enum\u003cstring>"},"pipeline":{"type":"string","default":"Chunkr","enum":["Azure","Chunkr"],"deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.pipeline","typeLabel":"enum\u003cstring>"},"segment_processing":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.0","typeLabel":"null"},{"type":"object","description":"Configuration for how each document segment is processed and formatted.\n\nEach segment has sensible defaults, but you can override specific settings:\n- `format`: Output as `Html` or `Markdown`\n- `strategy`: `Auto` (rule-based), `LLM` (AI-generated), or `Ignore` (skip)\n- `crop_image`: Whether to crop images to segment bounds\n- `extended_context`: Use full page as context for LLM processing\n- `description`: Generate descriptions for segments\n\n**Defaults per segment type:** Check the documentation for more details.\n\nOnly specify the fields you want to change - everything else uses the defaults.","properties":{"Caption":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Caption","typeLabel":"null | object"},"Footnote":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Footnote","typeLabel":"null | object"},"FormRegion":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.0","typeLabel":"null"},{"type":"object","description":"New segment types - must be Optional for backwards compatibility.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.FormRegion","typeLabel":"null | object"},"Formula":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Formula","typeLabel":"null | object"},"GraphicalItem":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.GraphicalItem","typeLabel":"null | object"},"Legend":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Legend","typeLabel":"null | object"},"LineNumber":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.LineNumber","typeLabel":"null | object"},"ListItem":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.ListItem","typeLabel":"null | object"},"Page":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Page","typeLabel":"null | object"},"PageFooter":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageFooter","typeLabel":"null | object"},"PageHeader":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageHeader","typeLabel":"null | object"},"PageNumber":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.PageNumber","typeLabel":"null | object"},"Picture":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Picture","typeLabel":"null | object"},"Table":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Table","typeLabel":"null | object"},"Text":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Text","typeLabel":"null | object"},"Title":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.crop_image.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.crop_image","typeLabel":"null | enum\u003cstring>"},"description":{"oneOf":[{"type":"boolean","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.description.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Generate LLM descriptions for this segment","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.description","typeLabel":"boolean | null"},"extended_context":{"oneOf":[{"type":"boolean","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.extended_context.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Use the full page image as context for LLM generation","default":null,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.extended_context.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.extended_context","typeLabel":"boolean | null"},"format":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.format.oneOf.0","typeLabel":"null"},{"type":"string","description":"The format for the `content` field of a segment.","enum":["Html","Markdown"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.format.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.format","typeLabel":"null | enum\u003cstring>"},"llm":{"oneOf":[{"type":"string","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.llm.oneOf.0","typeLabel":"string"},{"type":"null","deprecated":true,"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.llm.oneOf.1","typeLabel":"null"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.llm","typeLabel":"string | null"},"strategy":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.strategy.oneOf.0","typeLabel":"null"},{"type":"string","description":"The strategy for generating the `content` field of a segment.","enum":["LLM","Auto","Ignore"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.strategy.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1.strategy","typeLabel":"null | enum\u003cstring>"}},"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title.oneOf.1","typeLabel":"object"}],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Title","typeLabel":"null | object"},"Unknown":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Unknown.oneOf.0","typeLabel":"null"},{"type":"object","description":"Controls the processing and generation for the segment.\n- `crop_image` controls whether to crop the file's images to the segment's bounding box.\n The cropped image will be stored in the segment's `image` field. Use `All` to always crop,\n or `Auto` to only crop when needed for post-processing.\n- `format` specifies the output format: `Html` or `Markdown`\n- `strategy` determines how the content is generated: `Auto`, `LLM`, or `Ignore`\n - `Auto`: Process content automatically\n - `LLM`: Use large language models for processing\n - `Ignore`: Exclude segments from final output\n- `description` enables LLM-generated descriptions for segments.\n **Note:** This uses chunkr's own VLM models and is not configurable via LLM processing configuration.\n- `extended_context` uses the full page image as context for LLM generation.","properties":{"crop_image":{"oneOf":[{"type":"null","uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Unknown.oneOf.1.crop_image.oneOf.0","typeLabel":"null"},{"type":"string","description":"Controls the cropping strategy for an item (e.g. segment, chunk, etc.)\n- `All` crops all images in the item\n- `Auto` crops images only if required for post-processing","enum":["All","Auto"],"uniqueKey":"parse_configuration.oneOf.1.segment_processing.oneOf.1.Unkn
[...]
